summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAric Belsito <lluixhi@gmail.com>2018-03-19 11:53:17 -0700
committerMichał Górny <mgorny@gentoo.org>2018-03-30 20:08:11 +0200
commit2115146cc1d3ec5536d4fd4130ab50c995a54405 (patch)
treec2693cceb34a51a7a0cb170f2698a0ada4705efa /www-plugins
parentdev-go/fuzzy: new package (diff)
downloadgentoo-2115146cc1d3ec5536d4fd4130ab50c995a54405.tar.gz
gentoo-2115146cc1d3ec5536d4fd4130ab50c995a54405.tar.bz2
gentoo-2115146cc1d3ec5536d4fd4130ab50c995a54405.zip
www-plugins/browserpass: version bump to 2.0.13
Move binary to libexec Closes: https://bugs.gentoo.org/650954 Closes: https://github.com/gentoo/gentoo/pull/7513
Diffstat (limited to 'www-plugins')
-rw-r--r--www-plugins/browserpass/Manifest1
-rw-r--r--www-plugins/browserpass/browserpass-2.0.13.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/www-plugins/browserpass/Manifest b/www-plugins/browserpass/Manifest
index 7bb299c0901..ddb9a53f288 100644
--- a/www-plugins/browserpass/Manifest
+++ b/www-plugins/browserpass/Manifest
@@ -1 +1,2 @@
DIST browserpass-2.0.11.tar.gz 176787 BLAKE2B 271c3cf340ecc78c3358f21bc0e6bbcaf857b4ca39c7b0dcf58b1fcef62ea5df4f48adb4ac0bf7c884853f359fdb9ca00300e2f99efa48a1fdc0ba99ce7bd172 SHA512 baa362b63c1743273f56cb7576f96c29ca365fb217d3016824cdb1ce215e36b7f98fc7c3340a5a34853bde7c25283c84ceda570d149a8119bc54be2f0194034b
+DIST browserpass-2.0.13.tar.gz 180424 BLAKE2B e2a1796edf3b037553cb9bd33f072cd25953d8262fa584c371c3df638c77fc352953c698963325a5cee9b29c81cc010ded72bb31abac9460603796f4a95267ed SHA512 8d28144aef061770f11d7ba288dfa82f8873a263b8ccff235e26e83c55700e5ed0210dec2c2fb45751f3ad15d1894503407ec901d272783b98c466d74d9156f0
diff --git a/www-plugins/browserpass/browserpass-2.0.13.ebuild b/www-plugins/browserpass/browserpass-2.0.13.ebuild
new file mode 100644
index 00000000000..773137f9668
--- /dev/null
+++ b/www-plugins/browserpass/browserpass-2.0.13.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN=github.com/dannyvankooten/browserpass
+
+if [[ ${PV} == 9999 ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="WebExtension host binary for pass, a UNIX password manager"
+HOMEPAGE="https://github.com/dannyvankooten/browserpass"
+LICENSE="MIT"
+SLOT="0"
+RDEPEND="app-crypt/gnupg"
+DEPEND="${RDEPEND}
+ dev-go/fuzzy:=
+ dev-go/twofactor:=
+ dev-go/zglob:="
+
+DOCS=( CONTRIBUTING.md README.md )
+
+src_compile() {
+ EGO_PN="${EGO_PN}/cmd/browserpass" golang-build_src_compile
+
+ pushd "src/${EGO_PN}" >/dev/null || die
+ sed -e 's|%%replace%%|'${EPREFIX}'/usr/libexec/browserpass|' \
+ -i firefox/host.json chrome/host.json || die
+ popd >/dev/null || die
+}
+
+src_install() {
+ exeinto /usr/libexec
+ doexe browserpass
+
+ pushd "src/${EGO_PN}" >/dev/null || die
+ insinto /usr/$(get_libdir)/mozilla/native-messaging-hosts
+ newins firefox/host.json com.dannyvankooten.browserpass.json
+
+ insinto /etc/chromium/native-messaging-hosts
+ newins chrome/host.json com.dannyvankooten.browserpass.json
+
+ einstalldocs
+ popd >/dev/null || die
+}